# Generated by Django 3.0.5 on 2020-06-03 12:12

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('patients', '0001_initial'),
        ('users', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='Patient',
            fields=[
                ('user', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, primary_key=True, serialize=False, to=settings.AUTH_USER_MODEL, verbose_name='пользователь')),
                ('json', models.TextField(blank=True, null=True, verbose_name='JSON')),
            ],
            options={
                'verbose_name': 'пациент',
                'verbose_name_plural': 'пациенты',
            },
        ),
        migrations.AddField(
            model_name='medicalcard',
            name='patient',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='patients.Patient', verbose_name='пациент'),
        ),
    ]
